Network Indicator / Connectivity-API is not accessible

Bug #1615474 reported by Matthew Exon on 2016-08-22
126
This bug affects 22 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Critical
Alejandro J. Cura
indicator-network (Ubuntu)
Critical
Unassigned
qtbase-opensource-src (Ubuntu)
Undecided
Unassigned

Bug Description

Sometime in the last few days my phone lost the ability to connect to wifi networks and the network indicator at the top has stopped working.

Currently between "Bluetooth" and "Sound" I have a gear icon and the caption "indicator-network". When I select it, the rest of the screen is blank. There are no settings available and no way to connect to a wifi network.

On the System Settings app, if I tap on the "Wi-Fi" icon, I can see "Previous networks". But below that the page is just white, there is no way to select a wifi network.

Rebooting the phone doesn't seem to fix the problem.

Given that this is an MX4 and therefore the USB port doesn't work, and there's no SD card slot, there's vanishingly few ways to get data in and out of this phone now. If there's a solution to the problem, it's going to have to involve something other than updating system software.

Current system software is Ubuntu 15.05 (OTA-12).

---------------------

Per the comments the .config/connectivity-service/config.ini file seems to hold bad or outdated info and needs to be manually deleted and then recreated by the service.

Pat McGowan (pat-mcgowan) wrote :

@antti any ideas?

Changed in canonical-devices-system-image:
status: New → Incomplete
Changed in indicator-network (Ubuntu):
assignee: nobody → Antti Kaijanmäki (kaijanmaki)
Changed in canonical-devices-system-image:
assignee: nobody → Alejandro J. Cura (alecu)
Matthew Exon (ubuntubugs-mexon) wrote :

Ah, I was just able to confirm that 3G does work. I don't know if that would provide a way to download a fixed system image or something - but it'd be expensive and unreliable.

Also, there is a wlan0 device when I run ifconfig. Is there a way to configure a new wifi network on the command line? Unfortunately this is happening just when I've moved to a new city and I don't have any of my previously configured wifi networks to connect to.

Matthew Exon (ubuntubugs-mexon) wrote :

Also, correct me if I'm wrong, but it seems if a bug in a system update prevents the phone connecting to wifi, that effectively bricks the device, right? Because there's no way to update the system software without USB or wifi (and MX4s have broken USB hardware). There should be a way to download and install OTA updates via wget or rsync. It wouldn't be a problem if the wifi code was stable and reliable, but as this and Bug #1588126 show, that's not the case.

Alejandro J. Cura (alecu) wrote :

Hi Matthew, sorry to hear about this breakage, and that USB is not working for you.

Can you please let us know if the process "indicator-network" process is still running? Please paste the output of this: ps -ax | grep indicator-network

Also, please paste any indicator-network logs you may find in ~/.cache/upstart

If you need wifi to get those things out of the phone, you may try using the command line, as explained in http://askubuntu.com/questions/138472/how-do-i-connect-to-a-wpa-wifi-network-using-the-command-line

That might help you also upgrade to a newer OTA, to see if things get fixed, or to backup your data in case you want to try doing a full device reset.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in indicator-network (Ubuntu):
status: New → Confirmed
philipp (philipp.hofmann) wrote :

Same here. But wifi is still working. I just can't change any configuration -except flight mode. Mobile Settings are also affected.But allready configurated networks are still working.

Added logs and ps output.

philipp (philipp.hofmann) wrote :
philipp (philipp.hofmann) wrote :
Matthew Exon (ubuntubugs-mexon) wrote :

Hi Alejandro, sorry I only just noticed your reply.

It's a little hard to get data off my phone at the moment. But indicator network is running:

2479 ? Ssl 0:00 /usr/lib/arm-linux-gnueabihf/indicator-network/indicator-network-secret-agent
2539 ? Ssl 0:07 /usr/lib/arm-linux-dnueabihf/indicator-network/indicator-network-service

I've been trying to use wpa_supplicant as you suggested but it continually fails to connect, complaining about authentication timeouts. I'm not sure if I'e got the right device driver. I'm running:

sudo wpa_supplicant -Dwext -iwlan0 -cwpa.conf

It does understand the network's MAC and frequency, so I guess it's talking to the driver OK. This is with two different access points.

Also, wpa_supplicant is already running. I can kill it but it just comes back.

Antti Kaijanmäki (kaijanmaki) wrote :

Sorry for the delay.

I will write some instructions shortly how to provide additional debugging on this.

But first, to connect to a WPA network from the command line, you can use the following:

    $ nmcli d wifi connect <SSID> password <password> ifname wlan0

No need to run wpa_supplicant manually.

Changed in indicator-network (Ubuntu):
status: Confirmed → In Progress
summary: - Wifi networking no longer possible, network indicator broken
+ Network Indicator / Connectivity-API is not accessible
Changed in indicator-network (Ubuntu):
importance: Undecided → Critical

Hey Antti, that worked! Thanks a lot for that! I even forgot to add the password keyword and it just prompted me for the password on screen.

Now when I try to check for software updates it says "Connect to the Internet to check for updates", which isn't so good. But oh well, progress :-)

Antti Kaijanmäki (kaijanmaki) wrote :

Now, to get past the "Connect to the Internet to check for updates" in system settings, could you try to issue the following command:

    $ stop indicator-network

Then open system settings and see if it allows you to check for updates. Right now there should not be any, as OTA-13 has not been released yet, but this should let you at least receive updates in the future when we pinpoint and fix the underlying problem.

Then next, please remove any old indicator-network logs:

    $ rm .cache/upstart/indicator-network*

And start indicator-network again:

    $ start indicator-network

After this, please attach the latest indicator-network log to this bug report, and also check if the indicator appears. The log should be .cache/upstart/indicator-network.log

Hi, I have done as you suggest but nothing has changed, screenshot of the
log file attached.

Regards,

[image: screenshot20160908_194824951.png]Steven

On Thu, 8 Sep 2016 at 17:15 Antti Kaijanmäki <email address hidden>
wrote:

> Now, to get past the "Connect to the Internet to check for updates" in
> system settings, could you try to issue the following command:
>
> $ stop indicator-network
>
> Then open system settings and see if it allows you to check for updates.
> Right now there should not be any, as OTA-13 has not been released yet,
> but this should let you at least receive updates in the future when we
> pinpoint and fix the underlying problem.
>
> Then next, please remove any old indicator-network logs:
>
> $ rm .cache/upstart/indicator-network*
>
> And start indicator-network again:
>
> $ start indicator-network
>
> After this, please attach the latest indicator-network log to this bug
> report, and also check if the indicator appears. The log should be
> .cache/upstart/indicator-network.log
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1615474
>
> Title:
> Network Indicator / Connectivity-API is not accessible
>
> Status in Canonical System Image:
> Incomplete
> Status in indicator-network package in Ubuntu:
> In Progress
>
> Bug description:
> Sometime in the last few days my phone lost the ability to connect to
> wifi networks and the network indicator at the top has stopped
> working.
>
> Currently between "Bluetooth" and "Sound" I have a gear icon and the
> caption "indicator-network". When I select it, the rest of the screen
> is blank. There are no settings available and no way to connect to a
> wifi network.
>
> On the System Settings app, if I tap on the "Wi-Fi" icon, I can see
> "Previous networks". But below that the page is just white, there is
> no way to select a wifi network.
>
> Rebooting the phone doesn't seem to fix the problem.
>
> Given that this is an MX4 and therefore the USB port doesn't work, and
> there's no SD card slot, there's vanishingly few ways to get data in
> and out of this phone now. If there's a solution to the problem, it's
> going to have to involve something other than updating system
> software.
>
> Current system software is Ubuntu 15.05 (OTA-12).
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1615474/+subscriptions
>

Me too, this didn't allow me to check for updates:

phablet@ubuntu-phablet:~$ stop indicator-network
indicator-network stop/waiting

Here I went to System Settings. It still said "Connect to the Internet to check for updates".

phablet@ubuntu-phablet:~$ rm .cache/upstart/indicator-network*
phablet@ubuntu-phablet:~$ start indicator-network
indicator-network start/running, process 12648
phablet@ubuntu-phablet:~$ cat .cache/upstart/indicator-network.log
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/0" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/1" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/2" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/3" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/4" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/5" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/6" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/7" ((null):0, (null))
phablet@ubuntu-phablet:~$

Antti Kaijanmäki (kaijanmaki) wrote :

OK, thanks. Nothing seems wrong there.

Could you now reboot your phones and get me the output of following commands, thanks!

    $ dbus-send --print-reply --dest=com.ubuntu.connectivity1 /com/ubuntu/connectivity1/NetworkingStatus org.freedesktop.DBus.Properties.Get string:com.ubuntu.connectivity1.NetworkingStatus string:Status

    $ dbus-send --print-reply --dest=com.canonical.indicator.network /com/canonical/indicator/network/phone org.gtk.Menus.Start array:uint32:0

phablet@ubuntu-phablet:~$ dbus-send --print-reply --dest=com.ubuntu.connectivity1 /com/ubuntu/connectivity1/NetworkingStatus org.freedesktop.DBus.Properties.Get string:com.ubuntu.connectivity1.NetworkingStatus string:Status
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.ubuntu.connectivity1 was not provided by any .service files
phablet@ubuntu-phablet:~$ dbus-send --print-reply --dest=com.canonical.indicator.network /com/canonical/indicator/network/phone org.gtk.Menus.Start array:uint32:0
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.canonical.indicator.network was not provided by any .service files

Antti Kaijanmäki (kaijanmaki) wrote :

OK, that's suspicious.

Could you provide the output of the following command:

    $ status indicator-network

There's been a reboot in the meantime by the way...

phablet@ubuntu-phablet:~$ status indicator-network
indicator-network start/running, process 2642

More stuff that may be useful, or just to keep in sync with all of the above...

phablet@ubuntu-phablet:~$ ps auxww | grep 2642
phablet 2642 0.1 0.3 54024 6952 ? Ssl 23:09 0:00 /usr/lib/arm-linux-gnueabihf/indicator-network/indicator-network-service
phablet 4400 0.0 0.0 4852 676 pts/16 S+ 23:12 0:00 grep --color=auto 2642
phablet@ubuntu-phablet:~$ dbus-send --print-reply --dest=com.ubuntu.connectivity1 /com/ubuntu/connectivity1/NetworkingStatus org.freedesktop.DBus.Properties.Get string:com.ubuntu.connectivity1.NetworkingStatus string:Status
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.ubuntu.connectivity1 was not provided by any .service files
phablet@ubuntu-phablet:~$ dbus-send --print-reply --dest=com.canonical.indicator.network /com/canonical/indicator/network/phone org.gtk.Menus.Start array:uint32:0
phablet@ubuntu-phablet:~$ cat .cache/upstart/indicator-network.log
cat: .cache/upstart/indicator-network.log: No such file or directory
phablet@ubuntu-phablet:~$ stop indicator-network
indicator-network stop/waiting
phablet@ubuntu-phablet:~$ ps auxww | grep indicator-network
phablet 4450 0.0 0.0 4848 676 pts/16 S+ 23:15 0:00 grep --color=auto indicator-network
phablet@ubuntu-phablet:~$ start indicator-network
indicator-network start/running, process 4454
phablet@ubuntu-phablet:~$ ps auxww | grep indicator-network
phablet 4452 0.6 0.1 40192 3772 ? Ss 23:15 0:00 /usr/lib/arm-linux-gnueabihf/indicator-network/indicator-network-secret-agent
phablet 4454 11.0 0.3 54040 6836 ? Ssl 23:15 0:00 /usr/lib/arm-linux-gnueabihf/indicator-network/indicator-network-service
phablet 4457 0.0 0.0 4848 676 pts/16 S+ 23:15 0:00 grep --color=auto indicator-network
phablet@ubuntu-phablet:~$ cat .cache/upstart/indicator-network.log
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/0" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/1" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/2" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/3" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/4" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/5" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/6" ((null):0, (null))
Debug: Device Added: "/org/freedesktop/NetworkManager/Devices/7" ((null):0, (null))

Antti Kaijanmäki (kaijanmaki) wrote :

Matthew, Steven:

Thank you for the information you have provided this far! Unfortunately based on the information I have been unable to deduct the cause of the problems you are seeing. Would it be possible to have a live IRC debug session with either or both of you next week?

If so, please ping me (Wellark) on Freenode IRC network on Monday to set up the session times.

Hi, unfortunately I am not really free today which is a shame because it
would be good to help with this bug. I probably need to go for a factory
reset as this phone is my daily driver and I need to see when I am on
mobile data or wifi. Sorry I can't help via IRC today. I will wait until
tomorrow for the reset to see if Matthew has managed to provide any help
via IRC.

Kind regards,

Steven

On Fri, 9 Sep 2016 at 16:56 Antti Kaijanmäki <email address hidden>
wrote:

> Matthew, Steven:
>
> Thank you for the information you have provided this far! Unfortunately
> based on the information I have been unable to deduct the cause of the
> problems you are seeing. Would it be possible to have a live IRC debug
> session with either or both of you next week?
>
> If so, please ping me (Wellark) on Freenode IRC network on Monday to set
> up the session times.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1615474
>
> Title:
> Network Indicator / Connectivity-API is not accessible
>
> Status in Canonical System Image:
> Incomplete
> Status in indicator-network package in Ubuntu:
> In Progress
>
> Bug description:
> Sometime in the last few days my phone lost the ability to connect to
> wifi networks and the network indicator at the top has stopped
> working.
>
> Currently between "Bluetooth" and "Sound" I have a gear icon and the
> caption "indicator-network". When I select it, the rest of the screen
> is blank. There are no settings available and no way to connect to a
> wifi network.
>
> On the System Settings app, if I tap on the "Wi-Fi" icon, I can see
> "Previous networks". But below that the page is just white, there is
> no way to select a wifi network.
>
> Rebooting the phone doesn't seem to fix the problem.
>
> Given that this is an MX4 and therefore the USB port doesn't work, and
> there's no SD card slot, there's vanishingly few ways to get data in
> and out of this phone now. If there's a solution to the problem, it's
> going to have to involve something other than updating system
> software.
>
> Current system software is Ubuntu 15.05 (OTA-12).
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1615474/+subscriptions
>

I'll have a go at organising a time on IRC. I don't have much free time this week, but I also don't use my Ubuntu Touch phone for anything, so I don't mind taking my time over this.

Lucio Carreras (lucioc) wrote :

I have exactly the same issues, also with OTA 13. The log files, the terminal output.. Everything is exactly the same. You mentioned a live debugging session. Maybe we could start one these days. I have time from 7pm (Berlin time) every day.

Maybe we can find a solution.

I guess, this bug can be merged or marked as duplicate: https://bugs.launchpad.net/ubuntu/+source/indicator-network/+bug/1607068

A factory reset sorted it all out for me, but this is a bit drastic

On Tue, 20 Sep 2016 at 18:11 Lucio Carreras <email address hidden>
wrote:

> I have exactly the same issues, also with OTA 13. The log files, the
> terminal output.. Everything is exactly the same. You mentioned a live
> debugging session. Maybe we could start one these days. I have time from
> 7pm (Berlin time) every day.
>
> Maybe we can find a solution.
>
> I guess, this bug can be merged or marked as duplicate:
> https://bugs.launchpad.net/ubuntu/+source/indicator-network/+bug/1607068
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1615474
>
> Title:
> Network Indicator / Connectivity-API is not accessible
>
> Status in Canonical System Image:
> Incomplete
> Status in indicator-network package in Ubuntu:
> In Progress
>
> Bug description:
> Sometime in the last few days my phone lost the ability to connect to
> wifi networks and the network indicator at the top has stopped
> working.
>
> Currently between "Bluetooth" and "Sound" I have a gear icon and the
> caption "indicator-network". When I select it, the rest of the screen
> is blank. There are no settings available and no way to connect to a
> wifi network.
>
> On the System Settings app, if I tap on the "Wi-Fi" icon, I can see
> "Previous networks". But below that the page is just white, there is
> no way to select a wifi network.
>
> Rebooting the phone doesn't seem to fix the problem.
>
> Given that this is an MX4 and therefore the USB port doesn't work, and
> there's no SD card slot, there's vanishingly few ways to get data in
> and out of this phone now. If there's a solution to the problem, it's
> going to have to involve something other than updating system
> software.
>
> Current system software is Ubuntu 15.05 (OTA-12).
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1615474/+subscriptions
>

Changed in canonical-devices-system-image:
milestone: none → 14
Lucio Carreras (lucioc) wrote :

Maybe it's just because of missing systemd service files. May someone post a list of a working configuration?

phablet@ubuntu-phablet:/etc/systemd/system$ sudo find . -name "*.service"
./bluetooth.target.wants/bluetooth.service
./bluetooth.target.wants/bluetooth-touch.service
./plymouth.service
./network-online.target.wants/NetworkManager-wait-online.service
./dbus-org.bluez.service
./shutdown.target.wants/unattended-upgrades.service
./reboot.target.wants/plymouth-reboot.service
./default.target.wants/ureadahead.service
./kexec.target.wants/plymouth-kexec.service
./multi-user.target.wants/NetworkManager.service
./multi-user.target.wants/whoopsie.service
./multi-user.target.wants/cron.service
./multi-user.target.wants/plymouth-quit-wait.service
./multi-user.target.wants/repowerd.service
./multi-user.target.wants/pppd-dns.service
./multi-user.target.wants/cgproxy.service
./multi-user.target.wants/ufw.service
./multi-user.target.wants/cgmanager.service
./multi-user.target.wants/plymouth-quit.service
./multi-user.target.wants/lxc-net.service
./multi-user.target.wants/rsyslog.service
./multi-user.target.wants/click-system-hooks.service
./multi-user.target.wants/isc-dhcp-server6.service
./multi-user.target.wants/ofono.service
./multi-user.target.wants/ssh.service
./multi-user.target.wants/isc-dhcp-server.service
./multi-user.target.wants/lxc-android-config.service
./multi-user.target.wants/lxc.service
./multi-user.target.wants/openvpn.service
./multi-user.target.wants/urfkill.service
./graphical.target.wants/accounts-daemon.service
./plymouth-log.service
./sysinit.target.wants/plymouth-start.service
./sysinit.target.wants/resolvconf.service
./sysinit.target.wants/plymouth-read-write.service
./sysinit.target.wants/systemd-timesyncd.service
./display-manager.service
./<email address hidden>
./sshd.service
./poweroff.target.wants/plymouth-poweroff.service
./halt.target.wants/plymouth-halt.service
./syslog.service
./dbus-org.freedesktop.nm-dispatcher.service

JoeNazz (joenazz) wrote :

Today I had the same issue. A have got OTA-13. A few days ago disk went full and many creepy behaviours occurred. So I tidied up and all was okay. Today my phablet had shutted off because of very low battery. After charging a while I booted the phone and indicator-network was away like these bug. I ran

mv .config/connectivity-service .config/connectivity-service_2016-09-30

to remove the config like in https://bugs.launchpad.net/ubuntu/+source/indicator-network/+bug/1627953 but preserving a backup.

Instantly WiFi cames up and after a few seconds also both SIM cards. But the labels of both SIM cards were missing. I rebooted and everything seems fine now.

Here is a diff:

diff -u .config/connectivity-service_2016-09-30/config.ini .config/connectivity-service/config.ini
--- .config/connectivity-service_2016-09-30/config.ini 2016-09-28 17:31:01.614008012 +0200
+++ .config/connectivity-service/config.ini 2016-09-30 03:23:54.581088002 +0200
@@ -4,15 +4,15 @@
 SimForMobileData=8949228161042023545

 [Sims]
-8949226144023112505\DataRoamingEnabled=true
-8949226144023112505\Imsi=262073976785782
-8949226144023112505\Mcc=262
-8949226144023112505\Mnc=07
-8949226144023112505\PreferredLanguages=de, en, fr
+8949226144023112505\DataRoamingEnabled=false
+8949226144023112505\Imsi=
+8949226144023112505\Mcc=
+8949226144023112505\Mnc=
+8949226144023112505\PreferredLanguages=@Invalid()
 8949226144023112505\PrimaryPhoneNumber=
-8949228161042023545\DataRoamingEnabled=true
-8949228161042023545\Imsi=262074035216854
-8949228161042023545\Mcc=262
-8949228161042023545\Mnc=07
-8949228161042023545\PreferredLanguages=de, en, fr
+8949228161042023545\DataRoamingEnabled=false
+8949228161042023545\Imsi=
+8949228161042023545\Mcc=
+8949228161042023545\Mnc=
+8949228161042023545\PreferredLanguages=@Invalid()
 8949228161042023545\PrimaryPhoneNumber=
Only in .config/connectivity-service_2016-09-30: config.ini.lock

I did the same thing, and it works! Thanks very much for that! Below is the diff in my config. One thing I notice is the different KnownSims. I switched from one Chinese SIM card to a different Chinese SIM card and also moved to Hong Kong (i.e. roamed) at the same time. So I guess that's a fairly obscure scenario.

--- .config/connectivity-service_2016-09-30/config.ini 2016-08-06 14:43:34.924270000 +0800
+++ .config/connectivity-service/config.ini 2016-09-30 15:02:47.440000002 +0800
@@ -1,18 +1,12 @@
 [General]
-KnownSims=89860112038102930001, 89860115628100057703
+KnownSims=89860113228100167651
 MobileDataEnabled=true
-SimForMobileData=89860112038102930001
+SimForMobileData=89860113228100167651

 [Sims]
-89860112038102930001\DataRoamingEnabled=false
-89860112038102930001\Imsi=
-89860112038102930001\Mcc=460
-89860112038102930001\Mnc=01
-89860112038102930001\PreferredLanguages=zh, en
-89860112038102930001\PrimaryPhoneNumber=
-89860115628100057703\DataRoamingEnabled=false
-89860115628100057703\Imsi=
-89860115628100057703\Mcc=460
-89860115628100057703\Mnc=01
-89860115628100057703\PreferredLanguages=zh, en
-89860115628100057703\PrimaryPhoneNumber=
+89860113228100167651\DataRoamingEnabled=false
+89860113228100167651\Imsi=460018222220662
+89860113228100167651\Mcc=460
+89860113228100167651\Mnc=01
+89860113228100167651\PreferredLanguages=zh, en
+89860113228100167651\PrimaryPhoneNumber=+8613219019856

Changed in canonical-devices-system-image:
status: Incomplete → Confirmed
importance: Undecided → Critical
description: updated
Changed in canonical-devices-system-image:
status: Confirmed → Triaged
Antti Kaijanmäki (kaijanmaki) wrote :

This seems to be a manifestation of bug #1576989.

Workaround is to first make sure there is free space on the device and then delete

    .config/connectivity-service/config.ini.lock

I will work on a fix that makes i-network to remove this stale lock file on startup if one exists.

Last weekend the telephone froze (after turning off hotspot). And I had to hard-reset it using the power button.

Then the strange behaviour began:

On startup, only one sim card (without pin) was working.

Also I was unable to unlock the pin protected card (there was no dialog asking for the password).
Even wehen trying "Unlock" from the configuration didn't do any action.

The icons to start applications didn't work, but it was possible to scroll through them, only starting an application was not possible.
But from the slider on the left side it was possible to start an application.

Rebooting didn't solve the issue.

A workaround for the pin-locked SIM card was to disable the PIN and then enable it again. That unlocked the SIM card, so that I am able to use it now.

Using df via ssh didn't show a full disk, maybe the file system was corrupted during hard reboot.

This seems to be the case as not only the network indicator was broken but also the application which asks for the SIM PIN and the launcher.

Probably we should have a look on how configuration files are written by applications and how corrupted configuration data is handled. Broken configurations should not leave the applications in an unusable state, I would prefer that instead a user notification is sent and the configuration is reset to the last known working state or to useful defaults.

Remove all stale locks that I found and now everything seems to be working again:

phablet@ubuntu-phablet:~/.config$ du -a |grep lock$

rm ~/.config/connectivity-service/config.ini.lock
rm ~/.config/dekko.dekkoproject/mailboxConfig.json.lock
rm ~/.config/dekko.dekkoproject/notifications.json.lock
rm ~/.config/dekko.dekkoproject/viewSettings.json.lock

Created bug 1634997 for dekko.
Probably it would be a good thing, if lock files would be handled by a library, so that bugs can be fixed at a central place.

Changed in indicator-network (Ubuntu):
status: In Progress → Triaged
Changed in indicator-network (Ubuntu):
assignee: Antti Kaijanmäki (kaijanmaki) → nobody
Changed in canonical-devices-system-image:
milestone: 14 → x1
AlexAD (alex-ad) wrote :

I have a the same issue on a BQ 4.5 running OTA-14 20161118. I accidently left the hotspot on over night whilst it was charging, took the phone to work and it when I tried to use it would not respond. I went for a reset, when it came up the phone a drained a lot of the battery, I could see a steady downward trend on the graph durring my commute. The sub network icons are gone and now the music app crashes instantly. My guess is that it is something to do with the hotspot.

Before this the phone had never been in developer mode and worked like a charm. Is there a way to see the status of the hotspot via command line?

Enrique (enrique-garcia) wrote :

 I also got the same error after getting a full disk message. I also played around with the WIFI access point like a previous user. I can confirm that it was enough for me to delete the file ~/.config/connectivity-service/config.ini.lock to get the network indicator back.

 It sis worth mentioning that I was able to connect via ssh, since the phone would still connect to *known* WIFI networks. I couldn't use the terminal application since it stopped working *I can use it again after the network indicator was back).

Tiago Carrondo (tcarrondo) wrote :

rm .config/connectivity-service/config.ini.lock

solved my problem instantly!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers